// This is our first C++ example!

// History: 2/7/24 - Learned how to display messages to the screen and get user input in C++.

#include <iostream> // allows us to work with input/output operations 

int main(void)
{
	int number = 0;

	// std used below is the standard namespace - a namespace is used to organize 
	// code into related or logical groups; help with name collisions, too;
	// cout is an object of type std::ostream
	std::cout << "Enter a number: "; // << is an operator known as the "stream insertion" operator
	// cin is an object of type std::istream
	std::cin >> number; // no longer required to format data or use the address of (&) operator
	                    // for user input in C++ - the type of data in inferred based on 
	                    // the variable type;
						// the >> is an operator known as the "stream extraction" operator

	std::cout << "number: " << number << std::endl; // endl inserts a newline at end of stream

	return 0;
}